<?php
//Creamos el archivo datos.txt
//ponemos tipo 'a' para añadir lineas sin borrar
$file=fopen("datos2.txt","a") or die("Problemas");
  //vamos añadiendo el lineas con bucle
  for($a=0;$a<20;$a++){
    //bucle para caracteres por linea
 for($b=0;$b<$a;$b++){
  $tx = $tx."-";
  }
 fputs($file,$tx);
 fputs($file,"\n");
  }

  fclose($file);
